package com.xkrs.websocket.controller.websocket;

import com.xkrs.websocket.service.WebSocketServer;
import org.springframework.web.bind.annotation.*;

/**
 * @author xkrs
 */
@RestController
@RequestMapping("/api/socket")
public class WebSocketController {

    @GetMapping("/sendAll")
    public String sendAll(@RequestParam String msg) {
        WebSocketServer.broadInfo(msg);
        return "success";
    }

    @RequestMapping(value = "/sendOne", method = RequestMethod.GET)
    public String sendOne(@RequestParam String msg, @RequestParam String session) {
        WebSocketServer.sendMsg(msg, session);
        return "success";
    }
}
